com.aliyun.svideosdk.common

## Class AliyunErrorCode

- java.lang.Object
- - com.aliyun.svideosdk.common.AliyunErrorCode

-     public class AliyunErrorCode
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALIVC_ADEC_ERROR_FFMPEG_DEC_ERROR`
    `static int` | `ALIVC_ADEC_ERROR_FFMPEG_NO_CONTEXT`
    `static int` | `ALIVC_ADEC_ERROR_FFMPEG_NOT_FIND_DECODER`
    `static int` | `ALIVC_ADEC_ERROR_FFMPEG_OEPN_FAIL`
    `static int` | `ALIVC_COMMON_INVALID_PARAM`
    `static int` | `ALIVC_COMMON_INVALID_STATE`
    `static int` | `ALIVC_COMMON_RETURN_FAILED`
    `static int` | `ALIVC_COMMON_RETURN_SUCCESS`
    `static int` | `ALIVC_COMMON_UNKNOWN_ERROR_CODE`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_DECODER_ALREADY_EXIST`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_DECODER_CREATE_DECODER_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_DECODER_CREATE_NULL_CFG`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_DECODER_ERROR_INPUT`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_DECODER_ERROR_NO_BUFFER_AVAILABLE`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_DECODER_ERROR_START`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_DECODER_ERROR_STATE`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_ALREADY_EXIST`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_CREATE_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_INPUT`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_INPUT_CONFIG`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_INTERRUPT`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_START`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_STATE`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_WITHOUT_WORK`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_GETINFO_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_INIT_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_NO_INSTANSE`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_NOT_OPEN`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_OPEN_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_AFTERBURNER_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_AOT_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_BITRATE_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_CHANLOADER_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_CHANNEL_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_SAMPLERATE_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_SINGLEMODE_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_TRANSMUX_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_WIDTHOUT_MATCH_ENCODER`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_ENCODER_WIDTHOUT_MATCH_STREAMTYPE`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_PROCESS_ADD_FRAME_BUFFER_FULL`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_PROCESS_ADD_FRAME_INPUT_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_PROCESS_CONTROL_UNKNOWN`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_PROCESS_CREATE_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_PROCESS_CTL_INPUT_ERROR`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_PROCESS_DESTROY_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_PROCESS_ERROR_START`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_PROCESS_FILE_STREAM_LIST_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_PROCESS_OPTION_LIST_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_PROCESS_RE_CREATE`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_PROCESS_RE_DESTROY`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_PROCESS_SEEK_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_PROCESS_SEND_INVALID`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_RENDER_ALLOC_SPEAKER_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_RENDER_ERROR_START`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_RENDER_INIT_SPEAKER_FAILED`
    `static int` | `ALIVC_FRAMEWORK_AUDIO_RENDER_SETMUTE_FAILED`
    `static int` | `ALIVC_FRAMEWORK_DEMUXER_ERROR_IN_END`
    `static int` | `ALIVC_FRAMEWORK_DEMUXER_ERROR_INPUT_FILE`
    `static int` | `ALIVC_FRAMEWORK_DEMUXER_ERROR_START`
    `static int` | `ALIVC_FRAMEWORK_DEMUXER_FIND_STREAM_INFO_FAILED`
    `static int` | `ALIVC_FRAMEWORK_DEMUXER_INIT_MULTI_TIMES`
    `static int` | `ALIVC_FRAMEWORK_DEMUXER_OPEN_FILE_FAILED`
    `static int` | `ALIVC_FRAMEWORK_DISPATCH_MSG_FAILED`
    `static int` | `ALIVC_FRAMEWORK_ERROR_MSG_QUEUE_FULL`
    `static int` | `ALIVC_FRAMEWORK_ERROR_SERVICE_CHANGE_INITED_STATE_FAILED`
    `static int` | `ALIVC_FRAMEWORK_ERROR_SERVICE_CHANGE_PLAYING_STATE_FAILED`
    `static int` | `ALIVC_FRAMEWORK_ERROR_SERVICE_CHANGE_PREPARED_STATE_FAILED`
    `static int` | `ALIVC_FRAMEWORK_ERROR_SERVICE_CHANGE_STATE_NULL`
    `static int` | `ALIVC_FRAMEWORK_ERROR_SERVICE_IS_ALREADY_EXIST`
    `static int` | `ALIVC_FRAMEWORK_ERROR_START`
    `static int` | `ALIVC_FRAMEWORK_ERROR_THREAD_EXIT`
    `static int` | `ALIVC_FRAMEWORK_FFMPEGADECODER_ALREADY_EXIST`
    `static int` | `ALIVC_FRAMEWORK_IOSADECODER_ALREADY_EXIST`
    `static int` | `ALIVC_FRAMEWORK_IOSADECODER_ERROR_INFO`
    `static int` | `ALIVC_FRAMEWORK_IOSADECODER_ERROR_INPUT`
    `static int` | `ALIVC_FRAMEWORK_IOSADECODER_NEW_FAILED`
    `static int` | `ALIVC_FRAMEWORK_IS_SYNC_MSG`
    `static int` | `ALIVC_FRAMEWORK_LICENSE_CHECK_MV_FAILED`
    `static int` | `ALIVC_FRAMEWORK_LICENSE_CHECK_PASTER_FAILED`
    `static int` | `ALIVC_FRAMEWORK_LICENSE_CHECK_TRANSCODE_FAILED`
    `static int` | `ALIVC_FRAMEWORK_LICENSE_FAILED`
    `static int` | `ALIVC_FRAMEWORK_MEDIA_POOL_AUDIO_STREAM_DECODER_INIT_FAILED`
    `static int` | `ALIVC_FRAMEWORK_MEDIA_POOL_CACHE_DATA_SIZE_OVERFLOW`
    `static int` | `ALIVC_FRAMEWORK_MEDIA_POOL_CREATE_DECODE_GOP_TASK_FAILED`
    `static int` | `ALIVC_FRAMEWORK_MEDIA_POOL_ERROR_START`
    `static int` | `ALIVC_FRAMEWORK_MEDIA_POOL_NO_FREE_DISK_SPACE`
    `static int` | `ALIVC_FRAMEWORK_MEDIA_POOL_PROCESS_FAILED`
    `static int` | `ALIVC_FRAMEWORK_MEDIA_POOL_STREAM_NOT_EXISTS`
    `static int` | `ALIVC_FRAMEWORK_MEDIA_POOL_VIDEO_STREAM_DECODER_INIT_FAILED`
    `static int` | `ALIVC_FRAMEWORK_MEDIA_POOL_WRONG_STATE`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_AVIO_OPEN`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_CREAT_OUTPUT`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_CREATE_ACTX`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_CREATE_STREAM`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_CREATE_VCTX`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_FIND_ENCODER`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_INPUT_PACKET`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_INVALIDATE_PARAM`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_NEW_ALLOC_OUTPUT_CONTEXT`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_NEW_STREAM`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_START`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_STATE`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_VIDEO_AUDIO_UNSET`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_WRITE_HEADER`
    `static int` | `ALIVC_FRAMEWORK_MUXER_ERROR_WRITE_TRAILER`
    `static int` | `ALIVC_FRAMEWORK_RENDER_ERROR_EDITORLAYOUT_INVALID_SIZE`
    `static int` | `ALIVC_FRAMEWORK_RENDER_ERROR_EGL`
    `static int` | `ALIVC_FRAMEWORK_RENDER_ERROR_GL`
    `static int` | `ALIVC_FRAMEWORK_RENDER_ERROR_GL_CONTEXT_INIT_FAILED`
    `static int` | `ALIVC_FRAMEWORK_RENDER_ERROR_GL_SWAP_BUFFER_FAILED`
    `static int` | `ALIVC_FRAMEWORK_RENDER_ERROR_GL_SWAP_DEFAULT_BUFFER`
    `static int` | `ALIVC_FRAMEWORK_RENDER_ERROR_INVALID_ANIMATION`
    `static int` | `ALIVC_FRAMEWORK_RENDER_ERROR_INVALID_DATA`
    `static int` | `ALIVC_FRAMEWORK_RENDER_ERROR_INVALID_OPERATION`
    `static int` | `ALIVC_FRAMEWORK_RENDER_ERROR_INVALID_OPTION`
    `static int` | `ALIVC_FRAMEWORK_RENDER_ERROR_LAYOUT_NOT_INIT`
    `static int` | `ALIVC_FRAMEWORK_RENDER_ERROR_LOAD_LIBRARY_FAILED`
    `static int` | `ALIVC_FRAMEWORK_RENDER_ERROR_SCENE_INVALID`
    `static int` | `ALIVC_FRAMEWORK_RENDER_ERROR_START`
    `static int` | `ALIVC_FRAMEWORK_RENDER_FIRST_FRAME_PREVIEWED`
    `static int` | `ALIVC_FRAMEWORK_SEND_SYNC_MSG_TIME_OUT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_DECODER_CREATE_DECODER_FAILED`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_DECODER_CREATE_H264_PARAM_SET_FAILED`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_DECODER_CREATE_HEVC_PARAM_SET_FAILED`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_DECODE_PACKET`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_DECODE_SPS`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_INPUT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_INTERRUPT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_NO_BUFFER_AVAILABLE`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_RESOURCE_PREEMPTED`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_START`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_STATE`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_DECODER_SPS_PPS_NULL`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_CREATE_ENCODER_FAILED`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_API_LEVEL`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_BUFFER_ERROR`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_CREATE_FAILED`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_ERROR_STATE`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_FEAT_NOTSUPPORT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_FMT_NOTSUPPORT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_INPUT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_INTERNAL`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_SIZE_NOTSUPPORT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_TRY_READ`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_UPDATEBPS_FAILED`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_UPDATEBPS_INPUT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_UPDATEBPS_STATE`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_WITHOUT_WORK`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_CB`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_FFMPEG_ENCODE_FAILED`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_FFMPEG_INPUT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_FFMPEG_NO_CODEC`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_FFMPEG_OPEN_FAILED`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_INPUT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_INTERRUPT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_INVALID_PTS`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_ALAV_OPEN_FAILED`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_ENCINIT_FAILED`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_ENCSTART_FAILED`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_HW_INIT_FAILED`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_START_FAILED`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_NO_BUFFER_AVAILABLE`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_NOT_ACTIVE`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_NULL_INPUT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_ENCODE`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_FMT_NOTSUPPORT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_INIT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_INPUT`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_OUT_ZERO`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_SPS`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_WITHOUT_WORK`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_SESSION_BORKEN`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_START`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_STATE`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_WITHOUT_WORK`
    `static int` | `ALIVC_FRAMEWORK_VIDEO_ENCODER_WIDTHOUT_MATCH_ENCODER`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_COMPOSE_INIT_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_COMPOSE_NULL`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_COMPOSE_STATUS_ERROR`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_DEMUX_FILE_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_ERROR_START`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_FILE_NOT_EXIST`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_ILLEGAL_EDITOR_STATE`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_INIT_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_INVALID_COMPOSE`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_NATIVE_NOT_INITED`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_PARSE_RESOURCE_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_PAUSE`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_PREPARE`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_RESUME`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_SEEK`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_SEEK_IN_OFFSET`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_SET_DISPLAY_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_SET_MODE_DISPLAY_NONE`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_SET_MODE_UNINIT_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_START`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_STOP`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_SYSTEM`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_TIME_EFFECT_NOT_SUPPORT`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_TRANSITION_DURATION_INVALID`
    `static int` | `ALIVC_SVIDEO_ERROR_EDITOR_VIEW_TYPE_NOT_SUPPORTED`
    `static int` | `ALIVC_SVIDEO_ERROR_EFFECT_NO_RESOURCE`
    `static int` | `ALIVC_SVIDEO_ERROR_EFFECT_NOT_PAY`
    `static int` | `ALIVC_SVIDEO_ERROR_EFFECT_USE_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_EFFECT_USE_NOT_OVERRIDE`
    `static int` | `ALIVC_SVIDEO_ERROR_IO_AUDIO_RECORD_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_IO_CAMERA_NOT_OPEN`
    `static int` | `ALIVC_SVIDEO_ERROR_IO_CAMERA_SET_PARAM`
    `static int` | `ALIVC_SVIDEO_ERROR_IO_CREATE_TEMP_FILE_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_IO_NOT_SUPPORTED_CAMERA_TYPE`
    `static int` | `ALIVC_SVIDEO_ERROR_IO_OPEN_CAMERA_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_IO_START`
    `static int` | `ALIVC_SVIDEO_ERROR_IO_START_PREVIEW_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_IO_SWITCH_CAMERA`
    `static int` | `ALIVC_SVIDEO_ERROR_LICENSE_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_DECODER_INTERNAL`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_ENCODER_INTERNAL`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_ENCODER_PARAM`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_PROC_INIT_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_PROC_SUPPORT_TWO_INPUTS`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_CROP_IMAGE_FAILURE`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_DECODER_CANNOT_WORK`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_IMAGE_QUEQU_EMPTY`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_MV_PARSE_CONFIG_ERROR`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_AUDIO`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_IMAGE`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_PIXCEL_FORMAT`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_PIXEL_FORMAT`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_TYPE`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_VIDEO`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_PARSE_INPUT_FILE_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_PLAYER_INTERNAL`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_SOUND_QUEQU_EMPTY`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_START`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_VIDEO_DECODER_INTERNAL`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_VIDEO_ENCODER_INTERNAL`
    `static int` | `ALIVC_SVIDEO_ERROR_MEDIA_VIDEO_ENCODER_PARAM`
    `static int` | `ALIVC_SVIDEO_ERROR_MIX_LAYOUT`
    `static int` | `ALIVC_SVIDEO_ERROR_MIX_START`
    `static int` | `ALIVC_SVIDEO_ERROR_MUSIC_NOT_SUPPORT`
    `static int` | `ALIVC_SVIDEO_ERROR_MUSIC_PARAM`
    `static int` | `ALIVC_SVIDEO_ERROR_OTHER_PHONE_CALL`
    `static int` | `ALIVC_SVIDEO_ERROR_OTHER_RESIGN_ACTIVE`
    `static int` | `ALIVC_SVIDEO_ERROR_OTHER_START`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_ADD_MEDIA_SOURCE_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_AUDIO_VIDEO_DURATION_INVALID`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_CLIP_INDEX_INVALID`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_CLIP_INVALID`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_CONFLICT_TIME_INTERVAL`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_FILE_NOT_EXISTS`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_FILTER_FILE_PATH_INVALID`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_GIF_FILE_PATH_INVALID`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_IMAGE_FILE_PATH_INVALID`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_IMAGE_WATERMARK_NULL`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_INVALID_ARGUMENTS`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_INVALID_CANVAS`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_MV_FILE_PATH_INVALID`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_NO_CLIP`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_OUTOUT_PATH_INVALID`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_PARAMETER`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_PATH_NULL`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_PICTURE_SIZE`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_PROJECT_NULL`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_RESOURCE_PARSE_INVALID`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_SIZE_INVALID`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_START`
    `static int` | `ALIVC_SVIDEO_ERROR_PARAM_VIDEO_PATH_NULL`
    `static int` | `ALIVC_SVIDEO_ERROR_PERM_NO_DEVICE_PERMISSION`
    `static int` | `ALIVC_SVIDEO_ERROR_PERMISSION_START`
    `static int` | `ALIVC_SVIDEO_ERROR_REC_FIND_TEXTURE_CLASS`
    `static int` | `ALIVC_SVIDEO_ERROR_REC_INVALID_CAP_FORMAT`
    `static int` | `ALIVC_SVIDEO_ERROR_REC_INVALID_STATE`
    `static int` | `ALIVC_SVIDEO_ERROR_REC_PROXY_CREATE_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_REC_SERVICE_CREATE_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_RECORD_AUDIO_DATA_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_RECORD_ENCODER_INIT_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_RECORD_FINISH_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_RECORD_MAX_DURATION`
    `static int` | `ALIVC_SVIDEO_ERROR_RECORD_NOT_COMPLETE`
    `static int` | `ALIVC_SVIDEO_ERROR_RECORD_RECORDER_NOT_READY`
    `static int` | `ALIVC_SVIDEO_ERROR_RECORD_START`
    `static int` | `ALIVC_SVIDEO_ERROR_RECORD_VIDEO_DATA_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_RECORD_VIDEO_RGB_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_START`
    `static int` | `ALIVC_SVIDEO_ERROR_THUMB_DECODER_INTERNAL`
    `static int` | `ALIVC_SVIDEO_ERROR_THUMB_IMAGE_MATRIX_DETAIL_DATA`
    `static int` | `ALIVC_SVIDEO_ERROR_THUMB_IMAGE_MATRIX_INIT_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_THUMB_INTERNAL_LOGIC`
    `static int` | `ALIVC_SVIDEO_ERROR_THUMB_PREPARE_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_THUMB_START`
    `static int` | `ALIVC_SVIDEO_ERROR_THUMB_TASK_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_THUMB_VIDEO_STREAM`
    `static int` | `ALIVC_SVIDEO_ERROR_TRANSCODE_BACKGROUND`
    `static int` | `ALIVC_SVIDEO_ERROR_TRANSCODE_CROP_PARAM`
    `static int` | `ALIVC_SVIDEO_ERROR_TRANSCODE_ILLEGAL_CROP_STATE`
    `static int` | `ALIVC_SVIDEO_ERROR_TRANSCODE_INIT_PARAM_INVALID`
    `static int` | `ALIVC_SVIDEO_ERROR_TRANSCODE_START`
    `static int` | `ALIVC_SVIDEO_ERROR_TRES_AUDIO_INPUTS_INVALID`
    `static int` | `ALIVC_SVIDEO_ERROR_TRES_DUPLICATE_ADD_EFFECT`
    `static int` | `ALIVC_SVIDEO_ERROR_TRES_INVALID_STATE`
    `static int` | `ALIVC_SVIDEO_ERROR_TRES_PLAYER_UNPREPARED`
    `static int` | `ALIVC_SVIDEO_ERROR_TRES_SCREENRENDER_INVALID`
    `static int` | `ALIVC_SVIDEO_ERROR_TRES_START`
    `static int` | `ALIVC_SVIDEO_ERROR_TRES_START_MULTI`
    `static int` | `ALIVC_SVIDEO_ERROR_UPLOAD_FAILED`
    `static int` | `ALIVC_SVIDEO_ERROR_UPLOAD_START`
    `static int` | `ALIVC_SVIDEO_ERROR_UPLOAD_VOD_NULL`
    `static int` | `ALIVC_SVIDEO_ERROR_UPLOAD_VOD_STATE`
    `static int` | `ALIVC_VDEC_ERROR_API18_BLACKLIST`
    `static int` | `ALIVC_VDEC_ERROR_API18_CODEC_NOT_SUPPORT`
    `static int` | `ALIVC_VDEC_ERROR_API18_CREATE_SURFACE_FAILED`
    `static int` | `ALIVC_VDEC_ERROR_API18_DECODER_CFG_ERROR`
    `static int` | `ALIVC_VDEC_ERROR_API18_DECODER_INIT_ERROR`
    `static int` | `ALIVC_VDEC_ERROR_API18_EOS_QUEUE_IN`
    `static int` | `ALIVC_VDEC_ERROR_API18_FLUSH`
    `static int` | `ALIVC_VDEC_ERROR_API18_FLUSH_DEQUEUE_IN`
    `static int` | `ALIVC_VDEC_ERROR_API18_FLUSH_INTERRUPT`
    `static int` | `ALIVC_VDEC_ERROR_API18_FLUSHCODEC`
    `static int` | `ALIVC_VDEC_ERROR_API18_PACKET_TYPE_INVALID`
    `static int` | `ALIVC_VDEC_ERROR_API18_SLICE_DEQUEUE_IN`
    `static int` | `ALIVC_VDEC_ERROR_API18_SLICE_DEQUEUE_OUT`
    `static int` | `ALIVC_VDEC_ERROR_API18_SLICE_QUEUE_IN`
    `static int` | `ALIVC_VDEC_ERROR_API18_SLICE_QUEUE_IN_INFO`
    `static int` | `ALIVC_VDEC_ERROR_API18_SPS_DEQUEUE_IN`
    `static int` | `ALIVC_VDEC_ERROR_API18_START`
    `static int` | `ALIVC_VDEC_ERROR_FFMPEG_DEC_VIDEO`
    `static int` | `ALIVC_VDEC_ERROR_FFMPEG_DECODE_PACKET_INVALID`
    `static int` | `ALIVC_VDEC_ERROR_FFMPEG_FLUSH_FAILED`
    `static int` | `ALIVC_VDEC_ERROR_FFMPEG_NO_CONTEXT`
    `static int` | `ALIVC_VDEC_ERROR_FFMPEG_NOT_FIND_DECODER`
    `static int` | `ALIVC_VDEC_ERROR_FFMPEG_NOT_SUPPORT_OES`
    `static int` | `ALIVC_VDEC_ERROR_FFMPEG_OPEN_CODEC`
    `static int` | `ALIVC_VDEC_ERROR_FFMPEG_TYPE_INVALID`
    `static int` | `ALIVC_VDEC_ERROR_FFMPEG_UNKNOWN_FORMAT`
    `static int` | `ALIVC_VDEC_ERROR_IOS_CODEC_NOT_SUPPORT`
    `static int` | `ALIVC_VDEC_ERROR_IOS_CREATE_BUFFER`
    `static int` | `ALIVC_VDEC_ERROR_IOS_CREATE_FORMAT`
    `static int` | `ALIVC_VDEC_ERROR_IOS_CREATE_SAMPLE`
    `static int` | `ALIVC_VDEC_ERROR_IOS_DECODE_ERROR`
    `static int` | `ALIVC_VDEC_ERROR_IOS_DECODER_CREATE`
    `static int` | `ALIVC_VDEC_ERROR_IOS_FETCHFRAME_ERROR`
    `static int` | `ALIVC_VDEC_ERROR_IOS_HEVC_HW_NOT_SUPPORT`
    `static int` | `ALIVC_VDEC_ERROR_IOS_HEVC_VERSION_LOW`
    `static int` | `ALIVC_VDEC_ERROR_IOS_INVALID_PACKET`
    `static int` | `ALIVC_VDEC_ERROR_IOS_INVALID_PACKET2`
    `static int` | `ALIVC_VDEC_ERROR_IOS_PLATFORM_ERROR`
    `static int` | `ALIVC_VDEC_ERROR_IOS_PLATFORM_ERROR2`
    `static int` | `ALIVC_VDEC_ERROR_IOS_RESOURCE_INVALID_ERROR`
    `static int` | `ALIVC_VDEC_ERROR_NO_VIDEO_FORMAT`
    `static int` | `ERROR_ADD_MEDIA_SOURCE_FAILED` Deprecated.
    `static int` | `ERROR_ARG_COMPOSE_NULL` Deprecated.
    `static int` | `ERROR_ARG_VOD_UPLOAD_NULL` Deprecated.
    `static int` | `ERROR_ARG_VOD_UPLOAD_STATE` Deprecated.
    `static int` | `ERROR_AUDIO_INPUTS_INVALID` Deprecated.
    `static int` | `ERROR_CLIP_INDEX_INVALID` Deprecated.
    `static int` | `ERROR_CLIP_INVALID` Deprecated.
    `static int` | `ERROR_COMPOSE_INIT_FAILED` Deprecated.
    `static int` | `ERROR_COMPOSE_STATUS_ERROR` Deprecated.
    `static int` | `ERROR_CONFLICT_TIME_INTERVAL` Deprecated.
    `static int` | `ERROR_CROP_PARAM` Deprecated.
    `static int` | `ERROR_DUPLICATE_ADD_EFFECT` Deprecated.
    `static int` | `ERROR_EFFECT_NO_RESOURCE` Deprecated.
    `static int` | `ERROR_EFFECT_NOT_PAY` Deprecated.
    `static int` | `ERROR_EFFECT_USE_FAILED` Deprecated.
    `static int` | `ERROR_EFFECT_USE_NOT_OVERRIDE` Deprecated.
    `static int` | `ERROR_FILE_NOT_EXISTS` Deprecated.
    `static int` | `ERROR_FINISH_RECORD_FAILED` Deprecated.
    `static int` | `ERROR_ILLEGAL_CROP_STATE` Deprecated.
    `static int` | `ERROR_INVALID_ARGUMENTS` Deprecated.
    `static int` | `ERROR_INVALID_STATE` Deprecated.
    `static int` | `ERROR_IO_AUDIO_RECORD_FAILED` Deprecated.
    `static int` | `ERROR_IO_CAMERA_NOT_OPEN` Deprecated.
    `static int` | `ERROR_IO_CAMERA_SET_PARAM` Deprecated.
    `static int` | `ERROR_IO_CREATE_TEMP_FILE_FAILED` Deprecated.
    `static int` | `ERROR_IO_OPEN_CAMERA_FAILED` Deprecated.
    `static int` | `ERROR_IO_START_PREVIEW_FAILED` Deprecated.
    `static int` | `ERROR_IO_SWITCH_CAMERA` Deprecated.
    `static int` | `ERROR_LICENSE_FAILED` Deprecated.
    `static int` | `ERROR_MAX_DURATION` Deprecated.
    `static int` | `ERROR_MEDIA_AUDIO_DECODER_INTERNAL` Deprecated.
    `static int` | `ERROR_MEDIA_AUDIO_ENCODER_INTERNAL` Deprecated.
    `static int` | `ERROR_MEDIA_AUDIO_ENCODER_PARAM` Deprecated.
    `static int` | `ERROR_MEDIA_CROP_IMAGE_FAILURE` Deprecated.
    `static int` | `ERROR_MEDIA_NOT_SUPPORTED_AUDIO` Deprecated.
    `static int` | `ERROR_MEDIA_NOT_SUPPORTED_IMAGE` Deprecated.
    `static int` | `ERROR_MEDIA_NOT_SUPPORTED_PIXCEL_FORMAT` Deprecated. 请使用 `ERROR_MEDIA_NOT_SUPPORTED_PIXEL_FORMAT`替代
    `static int` | `ERROR_MEDIA_NOT_SUPPORTED_PIXEL_FORMAT` Deprecated.
    `static int` | `ERROR_MEDIA_NOT_SUPPORTED_TYPE` Deprecated.
    `static int` | `ERROR_MEDIA_NOT_SUPPORTED_VIDEO` Deprecated.
    `static int` | `ERROR_MEDIA_PLAYER_INTERNAL` Deprecated.
    `static int` | `ERROR_MEDIA_VIDEO_DECODER_INTERNAL` Deprecated.
    `static int` | `ERROR_MEDIA_VIDEO_ENCODER_INTERNAL` Deprecated.
    `static int` | `ERROR_MEDIA_VIDEO_ENCODER_PARAM` Deprecated.
    `static int` | `ERROR_MUSIC_NOT_SUPPORT` Deprecated.
    `static int` | `ERROR_MUSIC_PARAM` Deprecated.
    `static int` | `ERROR_MV_FILE_PATH_INVALID` Deprecated.
    `static int` | `ERROR_NO_CLIP` Deprecated.
    `static int` | `ERROR_OUTOUT_PATH_INVALID` Deprecated.
    `static int` | `ERROR_PARAM_AUDIO_VIDEO_DURATION_INVALID` Deprecated.
    `static int` | `ERROR_PARAM_FILTER_FILE_PATH_INVALID` Deprecated.
    `static int` | `ERROR_PARAM_GIF_FILE_PATH_INVALID` Deprecated.
    `static int` | `ERROR_PARAM_IMAGE_FILE_PATH_INVALID` Deprecated.
    `static int` | `ERROR_PARAM_IMAGE_WATERMARK_NULL` Deprecated.
    `static int` | `ERROR_PARAM_INVALID_CANVAS` Deprecated.
    `static int` | `ERROR_PARAM_INVALID_COMPOSE` Deprecated.
    `static int` | `ERROR_PARAM_PICTURE_SIZE` Deprecated.
    `static int` | `ERROR_PARAM_RESOURCE_PARSE_INVALID` Deprecated.
    `static int` | `ERROR_PARAM_TRANSITION_DURATION_INVALID` Deprecated.
    `static int` | `ERROR_PARAMETER` Deprecated.
    `static int` | `ERROR_PERM_NO_DEVICE_PERMISSION` Deprecated.
    `static int` | `ERROR_PROJECT_NULL` Deprecated.
    `static int` | `ERROR_RECORD_NOT_COMPLETE` Deprecated.
    `static int` | `ERROR_RECORDER_NOT_READY` Deprecated.
    `static int` | `ERROR_SCREENRENDER_INVALID` Deprecated.
    `static int` | `ERROR_SIZE_INVALID` Deprecated.
    `static int` | `ERROR_START_MULTI` Deprecated.
    `static int` | `ERROR_TASK_FAILED` Deprecated.
    `static int` | `ERROR_TRANS_BACKGROUND` Deprecated.
    `static int` | `ERROR_TRANSCODE_INIT_PARAM_INVALID` Deprecated.
    `static int` | `ERROR_TRES_ILLEGAL_CROP_STATE` Deprecated.
    `static int` | `ERROR_TRES_ILLEGAL_EDITOR_STATE` Deprecated.
    `static int` | `ERROR_TRES_NOT_SUPPORTED_CAMERA_TYPE` Deprecated.
    `static int` | `ERROR_TRES_PLAYER_UNPREPARED` Deprecated.
    `static int` | `ERROR_UNKNOWN` Deprecated.
    `static int` | `ERROR_UPLOAD_FAILED` Deprecated.
    `static int` | `ERROR_VIDEO_PATH_NULL` Deprecated.
    `static int` | `OK` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunErrorCode()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getErrorCodeMessage(int errorCode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALIVC_COMMON_RETURN_SUCCESS

          public static final int ALIVC_COMMON_RETURN_SUCCESS

      See Also:
        Constant Field Values

    - #### ALIVC_COMMON_RETURN_FAILED

          public static final int ALIVC_COMMON_RETURN_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_COMMON_INVALID_PARAM

          public static final int ALIVC_COMMON_INVALID_PARAM

      See Also:
        Constant Field Values

    - #### ALIVC_COMMON_UNKNOWN_ERROR_CODE

          public static final int ALIVC_COMMON_UNKNOWN_ERROR_CODE

      See Also:
        Constant Field Values

    - #### ALIVC_COMMON_INVALID_STATE

          public static final int ALIVC_COMMON_INVALID_STATE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_ERROR_START

          public static final int ALIVC_FRAMEWORK_ERROR_START

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_ERROR_THREAD_EXIT

          public static final int ALIVC_FRAMEWORK_ERROR_THREAD_EXIT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_DISPATCH_MSG_FAILED

          public static final int ALIVC_FRAMEWORK_DISPATCH_MSG_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_IS_SYNC_MSG

          public static final int ALIVC_FRAMEWORK_IS_SYNC_MSG

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_SEND_SYNC_MSG_TIME_OUT

          public static final int ALIVC_FRAMEWORK_SEND_SYNC_MSG_TIME_OUT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_ERROR_MSG_QUEUE_FULL

          public static final int ALIVC_FRAMEWORK_ERROR_MSG_QUEUE_FULL

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_ERROR_SERVICE_IS_ALREADY_EXIST

          public static final int ALIVC_FRAMEWORK_ERROR_SERVICE_IS_ALREADY_EXIST

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_ERROR_SERVICE_CHANGE_STATE_NULL

          public static final int ALIVC_FRAMEWORK_ERROR_SERVICE_CHANGE_STATE_NULL

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_ERROR_SERVICE_CHANGE_PREPARED_STATE_FAILED

          public static final int ALIVC_FRAMEWORK_ERROR_SERVICE_CHANGE_PREPARED_STATE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_ERROR_SERVICE_CHANGE_PLAYING_STATE_FAILED

          public static final int ALIVC_FRAMEWORK_ERROR_SERVICE_CHANGE_PLAYING_STATE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_ERROR_SERVICE_CHANGE_INITED_STATE_FAILED

          public static final int ALIVC_FRAMEWORK_ERROR_SERVICE_CHANGE_INITED_STATE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_START

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_START

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_CREAT_OUTPUT

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_CREAT_OUTPUT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_CREATE_ACTX

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_CREATE_ACTX

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_CREATE_STREAM

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_CREATE_STREAM

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_CREATE_VCTX

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_CREATE_VCTX

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_INPUT_PACKET

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_INPUT_PACKET

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_VIDEO_AUDIO_UNSET

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_VIDEO_AUDIO_UNSET

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_STATE

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_STATE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_WRITE_HEADER

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_WRITE_HEADER

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_WRITE_TRAILER

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_WRITE_TRAILER

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_INVALIDATE_PARAM

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_INVALIDATE_PARAM

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_FIND_ENCODER

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_FIND_ENCODER

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_NEW_STREAM

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_NEW_STREAM

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_NEW_ALLOC_OUTPUT_CONTEXT

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_NEW_ALLOC_OUTPUT_CONTEXT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MUXER_ERROR_AVIO_OPEN

          public static final int ALIVC_FRAMEWORK_MUXER_ERROR_AVIO_OPEN

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_DEMUXER_ERROR_START

          public static final int ALIVC_FRAMEWORK_DEMUXER_ERROR_START

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_DEMUXER_ERROR_INPUT_FILE

          public static final int ALIVC_FRAMEWORK_DEMUXER_ERROR_INPUT_FILE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_DEMUXER_INIT_MULTI_TIMES

          public static final int ALIVC_FRAMEWORK_DEMUXER_INIT_MULTI_TIMES

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_DEMUXER_OPEN_FILE_FAILED

          public static final int ALIVC_FRAMEWORK_DEMUXER_OPEN_FILE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_DEMUXER_FIND_STREAM_INFO_FAILED

          public static final int ALIVC_FRAMEWORK_DEMUXER_FIND_STREAM_INFO_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_DEMUXER_ERROR_IN_END

          public static final int ALIVC_FRAMEWORK_DEMUXER_ERROR_IN_END

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_START

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_START

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_CREATE_ENCODER_FAILED

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_CREATE_ENCODER_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_WIDTHOUT_MATCH_ENCODER

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_WIDTHOUT_MATCH_ENCODER

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_WITHOUT_WORK

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_WITHOUT_WORK

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_INTERRUPT

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_INTERRUPT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_API_LEVEL

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_API_LEVEL

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_STATE

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_STATE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_INPUT

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_INPUT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_NO_BUFFER_AVAILABLE

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_NO_BUFFER_AVAILABLE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_SESSION_BORKEN

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_SESSION_BORKEN

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_INVALID_PTS

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_INVALID_PTS

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_NOT_ACTIVE

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_NOT_ACTIVE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_CB

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_CB

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_NULL_INPUT

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_NULL_INPUT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_INIT

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_INIT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_INPUT

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_INPUT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_WITHOUT_WORK

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_WITHOUT_WORK

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_FMT_NOTSUPPORT

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_FMT_NOTSUPPORT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_ENCODE

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_ENCODE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_OUT_ZERO

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_OUT_ZERO

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_SPS

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_OPENH264_SPS

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_ERROR_STATE

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_ERROR_STATE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_BUFFER_ERROR

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_BUFFER_ERROR

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_INTERNAL

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_INTERNAL

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_INPUT

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_INPUT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_WITHOUT_WORK

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_WITHOUT_WORK

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_FEAT_NOTSUPPORT

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_FEAT_NOTSUPPORT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_FMT_NOTSUPPORT

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_FMT_NOTSUPPORT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_CREATE_FAILED

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_CREATE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_TRY_READ

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_TRY_READ

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_UPDATEBPS_INPUT

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_UPDATEBPS_INPUT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_UPDATEBPS_STATE

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_UPDATEBPS_STATE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_UPDATEBPS_FAILED

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_UPDATEBPS_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_SIZE_NOTSUPPORT

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_ANDROID_SIZE_NOTSUPPORT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_FFMPEG_INPUT

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_FFMPEG_INPUT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_FFMPEG_NO_CODEC

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_FFMPEG_NO_CODEC

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_FFMPEG_OPEN_FAILED

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_FFMPEG_OPEN_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_FFMPEG_ENCODE_FAILED

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_FFMPEG_ENCODE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_HW_INIT_FAILED

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_HW_INIT_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_ALAV_OPEN_FAILED

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_ALAV_OPEN_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_START_FAILED

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_START_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_ENCINIT_FAILED

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_ENCINIT_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_ENCSTART_FAILED

          public static final int ALIVC_FRAMEWORK_VIDEO_ENCODER_ERROR_MIX_ENCSTART_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_START

          public static final int ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_START

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_DECODER_SPS_PPS_NULL

          public static final int ALIVC_FRAMEWORK_VIDEO_DECODER_SPS_PPS_NULL

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_DECODER_CREATE_H264_PARAM_SET_FAILED

          public static final int ALIVC_FRAMEWORK_VIDEO_DECODER_CREATE_H264_PARAM_SET_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_DECODER_CREATE_HEVC_PARAM_SET_FAILED

          public static final int ALIVC_FRAMEWORK_VIDEO_DECODER_CREATE_HEVC_PARAM_SET_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_DECODER_CREATE_DECODER_FAILED

          public static final int ALIVC_FRAMEWORK_VIDEO_DECODER_CREATE_DECODER_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_STATE

          public static final int ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_STATE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_INPUT

          public static final int ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_INPUT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_NO_BUFFER_AVAILABLE

          public static final int ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_NO_BUFFER_AVAILABLE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_INTERRUPT

          public static final int ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_INTERRUPT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_DECODE_SPS

          public static final int ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_DECODE_SPS

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_RESOURCE_PREEMPTED

          public static final int ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_RESOURCE_PREEMPTED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_DECODE_PACKET

          public static final int ALIVC_FRAMEWORK_VIDEO_DECODER_ERROR_DECODE_PACKET

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_FFMPEG_NOT_SUPPORT_OES

          public static final int ALIVC_VDEC_ERROR_FFMPEG_NOT_SUPPORT_OES

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_FFMPEG_NOT_FIND_DECODER

          public static final int ALIVC_VDEC_ERROR_FFMPEG_NOT_FIND_DECODER

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_FFMPEG_DECODE_PACKET_INVALID

          public static final int ALIVC_VDEC_ERROR_FFMPEG_DECODE_PACKET_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_FFMPEG_NO_CONTEXT

          public static final int ALIVC_VDEC_ERROR_FFMPEG_NO_CONTEXT

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_FFMPEG_OPEN_CODEC

          public static final int ALIVC_VDEC_ERROR_FFMPEG_OPEN_CODEC

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_FFMPEG_DEC_VIDEO

          public static final int ALIVC_VDEC_ERROR_FFMPEG_DEC_VIDEO

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_FFMPEG_UNKNOWN_FORMAT

          public static final int ALIVC_VDEC_ERROR_FFMPEG_UNKNOWN_FORMAT

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_FFMPEG_TYPE_INVALID

          public static final int ALIVC_VDEC_ERROR_FFMPEG_TYPE_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_FFMPEG_FLUSH_FAILED

          public static final int ALIVC_VDEC_ERROR_FFMPEG_FLUSH_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_BLACKLIST

          public static final int ALIVC_VDEC_ERROR_API18_BLACKLIST

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_CODEC_NOT_SUPPORT

          public static final int ALIVC_VDEC_ERROR_API18_CODEC_NOT_SUPPORT

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_CREATE_SURFACE_FAILED

          public static final int ALIVC_VDEC_ERROR_API18_CREATE_SURFACE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_DECODER_INIT_ERROR

          public static final int ALIVC_VDEC_ERROR_API18_DECODER_INIT_ERROR

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_DECODER_CFG_ERROR

          public static final int ALIVC_VDEC_ERROR_API18_DECODER_CFG_ERROR

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_PACKET_TYPE_INVALID

          public static final int ALIVC_VDEC_ERROR_API18_PACKET_TYPE_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_SPS_DEQUEUE_IN

          public static final int ALIVC_VDEC_ERROR_API18_SPS_DEQUEUE_IN

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_START

          public static final int ALIVC_VDEC_ERROR_API18_START

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_FLUSH_DEQUEUE_IN

          public static final int ALIVC_VDEC_ERROR_API18_FLUSH_DEQUEUE_IN

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_SLICE_DEQUEUE_IN

          public static final int ALIVC_VDEC_ERROR_API18_SLICE_DEQUEUE_IN

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_SLICE_DEQUEUE_OUT

          public static final int ALIVC_VDEC_ERROR_API18_SLICE_DEQUEUE_OUT

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_SLICE_QUEUE_IN

          public static final int ALIVC_VDEC_ERROR_API18_SLICE_QUEUE_IN

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_SLICE_QUEUE_IN_INFO

          public static final int ALIVC_VDEC_ERROR_API18_SLICE_QUEUE_IN_INFO

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_EOS_QUEUE_IN

          public static final int ALIVC_VDEC_ERROR_API18_EOS_QUEUE_IN

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_FLUSH

          public static final int ALIVC_VDEC_ERROR_API18_FLUSH

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_FLUSHCODEC

          public static final int ALIVC_VDEC_ERROR_API18_FLUSHCODEC

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_API18_FLUSH_INTERRUPT

          public static final int ALIVC_VDEC_ERROR_API18_FLUSH_INTERRUPT

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_IOS_HEVC_VERSION_LOW

          public static final int ALIVC_VDEC_ERROR_IOS_HEVC_VERSION_LOW

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_IOS_HEVC_HW_NOT_SUPPORT

          public static final int ALIVC_VDEC_ERROR_IOS_HEVC_HW_NOT_SUPPORT

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_IOS_PLATFORM_ERROR

          public static final int ALIVC_VDEC_ERROR_IOS_PLATFORM_ERROR

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_IOS_CODEC_NOT_SUPPORT

          public static final int ALIVC_VDEC_ERROR_IOS_CODEC_NOT_SUPPORT

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_IOS_INVALID_PACKET

          public static final int ALIVC_VDEC_ERROR_IOS_INVALID_PACKET

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_IOS_INVALID_PACKET2

          public static final int ALIVC_VDEC_ERROR_IOS_INVALID_PACKET2

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_IOS_PLATFORM_ERROR2

          public static final int ALIVC_VDEC_ERROR_IOS_PLATFORM_ERROR2

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_IOS_DECODER_CREATE

          public static final int ALIVC_VDEC_ERROR_IOS_DECODER_CREATE

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_IOS_CREATE_BUFFER

          public static final int ALIVC_VDEC_ERROR_IOS_CREATE_BUFFER

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_IOS_CREATE_SAMPLE

          public static final int ALIVC_VDEC_ERROR_IOS_CREATE_SAMPLE

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_IOS_RESOURCE_INVALID_ERROR

          public static final int ALIVC_VDEC_ERROR_IOS_RESOURCE_INVALID_ERROR

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_IOS_DECODE_ERROR

          public static final int ALIVC_VDEC_ERROR_IOS_DECODE_ERROR

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_IOS_FETCHFRAME_ERROR

          public static final int ALIVC_VDEC_ERROR_IOS_FETCHFRAME_ERROR

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_IOS_CREATE_FORMAT

          public static final int ALIVC_VDEC_ERROR_IOS_CREATE_FORMAT

      See Also:
        Constant Field Values

    - #### ALIVC_VDEC_ERROR_NO_VIDEO_FORMAT

          public static final int ALIVC_VDEC_ERROR_NO_VIDEO_FORMAT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_START

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_START

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_INIT_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_INIT_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_STATE

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_STATE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_INPUT

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_INPUT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_INTERRUPT

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_INTERRUPT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_WITHOUT_WORK

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_WITHOUT_WORK

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_WIDTHOUT_MATCH_ENCODER

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_WIDTHOUT_MATCH_ENCODER

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_OPEN_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_OPEN_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_BITRATE_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_BITRATE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_SAMPLERATE_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_SAMPLERATE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_AOT_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_AOT_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_TRANSMUX_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_TRANSMUX_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_SINGLEMODE_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_SINGLEMODE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_CHANNEL_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_CHANNEL_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_CHANLOADER_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_CHANLOADER_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_AFTERBURNER_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_SET_AFTERBURNER_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_GETINFO_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_GETINFO_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_NOT_OPEN

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_NOT_OPEN

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_INPUT_CONFIG

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_ERROR_INPUT_CONFIG

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_ALREADY_EXIST

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_ALREADY_EXIST

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_CREATE_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_CREATE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_WIDTHOUT_MATCH_STREAMTYPE

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_WIDTHOUT_MATCH_STREAMTYPE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_ENCODER_NO_INSTANSE

          public static final int ALIVC_FRAMEWORK_AUDIO_ENCODER_NO_INSTANSE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_DECODER_ERROR_START

          public static final int ALIVC_FRAMEWORK_AUDIO_DECODER_ERROR_START

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_DECODER_CREATE_DECODER_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_DECODER_CREATE_DECODER_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_DECODER_ERROR_STATE

          public static final int ALIVC_FRAMEWORK_AUDIO_DECODER_ERROR_STATE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_DECODER_ERROR_INPUT

          public static final int ALIVC_FRAMEWORK_AUDIO_DECODER_ERROR_INPUT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_DECODER_ERROR_NO_BUFFER_AVAILABLE

          public static final int ALIVC_FRAMEWORK_AUDIO_DECODER_ERROR_NO_BUFFER_AVAILABLE

      See Also:
        Constant Field Values

    - #### ALIVC_ADEC_ERROR_FFMPEG_OEPN_FAIL

          public static final int ALIVC_ADEC_ERROR_FFMPEG_OEPN_FAIL

      See Also:
        Constant Field Values

    - #### ALIVC_ADEC_ERROR_FFMPEG_NOT_FIND_DECODER

          public static final int ALIVC_ADEC_ERROR_FFMPEG_NOT_FIND_DECODER

      See Also:
        Constant Field Values

    - #### ALIVC_ADEC_ERROR_FFMPEG_DEC_ERROR

          public static final int ALIVC_ADEC_ERROR_FFMPEG_DEC_ERROR

      See Also:
        Constant Field Values

    - #### ALIVC_ADEC_ERROR_FFMPEG_NO_CONTEXT

          public static final int ALIVC_ADEC_ERROR_FFMPEG_NO_CONTEXT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_DECODER_ALREADY_EXIST

          public static final int ALIVC_FRAMEWORK_AUDIO_DECODER_ALREADY_EXIST

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_DECODER_CREATE_NULL_CFG

          public static final int ALIVC_FRAMEWORK_AUDIO_DECODER_CREATE_NULL_CFG

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_FFMPEGADECODER_ALREADY_EXIST

          public static final int ALIVC_FRAMEWORK_FFMPEGADECODER_ALREADY_EXIST

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_IOSADECODER_ALREADY_EXIST

          public static final int ALIVC_FRAMEWORK_IOSADECODER_ALREADY_EXIST

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_IOSADECODER_NEW_FAILED

          public static final int ALIVC_FRAMEWORK_IOSADECODER_NEW_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_IOSADECODER_ERROR_INPUT

          public static final int ALIVC_FRAMEWORK_IOSADECODER_ERROR_INPUT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_IOSADECODER_ERROR_INFO

          public static final int ALIVC_FRAMEWORK_IOSADECODER_ERROR_INFO

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_ERROR_START

          public static final int ALIVC_FRAMEWORK_RENDER_ERROR_START

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_FIRST_FRAME_PREVIEWED

          public static final int ALIVC_FRAMEWORK_RENDER_FIRST_FRAME_PREVIEWED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_ERROR_EGL

          public static final int ALIVC_FRAMEWORK_RENDER_ERROR_EGL

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_ERROR_GL

          public static final int ALIVC_FRAMEWORK_RENDER_ERROR_GL

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_ERROR_INVALID_DATA

          public static final int ALIVC_FRAMEWORK_RENDER_ERROR_INVALID_DATA

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_ERROR_INVALID_OPERATION

          public static final int ALIVC_FRAMEWORK_RENDER_ERROR_INVALID_OPERATION

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_ERROR_EDITORLAYOUT_INVALID_SIZE

          public static final int ALIVC_FRAMEWORK_RENDER_ERROR_EDITORLAYOUT_INVALID_SIZE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_ERROR_SCENE_INVALID

          public static final int ALIVC_FRAMEWORK_RENDER_ERROR_SCENE_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_ERROR_INVALID_OPTION

          public static final int ALIVC_FRAMEWORK_RENDER_ERROR_INVALID_OPTION

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_ERROR_LAYOUT_NOT_INIT

          public static final int ALIVC_FRAMEWORK_RENDER_ERROR_LAYOUT_NOT_INIT

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_ERROR_INVALID_ANIMATION

          public static final int ALIVC_FRAMEWORK_RENDER_ERROR_INVALID_ANIMATION

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_ERROR_GL_CONTEXT_INIT_FAILED

          public static final int ALIVC_FRAMEWORK_RENDER_ERROR_GL_CONTEXT_INIT_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_ERROR_LOAD_LIBRARY_FAILED

          public static final int ALIVC_FRAMEWORK_RENDER_ERROR_LOAD_LIBRARY_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_ERROR_GL_SWAP_BUFFER_FAILED

          public static final int ALIVC_FRAMEWORK_RENDER_ERROR_GL_SWAP_BUFFER_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_RENDER_ERROR_GL_SWAP_DEFAULT_BUFFER

          public static final int ALIVC_FRAMEWORK_RENDER_ERROR_GL_SWAP_DEFAULT_BUFFER

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MEDIA_POOL_ERROR_START

          public static final int ALIVC_FRAMEWORK_MEDIA_POOL_ERROR_START

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MEDIA_POOL_WRONG_STATE

          public static final int ALIVC_FRAMEWORK_MEDIA_POOL_WRONG_STATE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MEDIA_POOL_PROCESS_FAILED

          public static final int ALIVC_FRAMEWORK_MEDIA_POOL_PROCESS_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MEDIA_POOL_NO_FREE_DISK_SPACE

          public static final int ALIVC_FRAMEWORK_MEDIA_POOL_NO_FREE_DISK_SPACE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MEDIA_POOL_CREATE_DECODE_GOP_TASK_FAILED

          public static final int ALIVC_FRAMEWORK_MEDIA_POOL_CREATE_DECODE_GOP_TASK_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MEDIA_POOL_AUDIO_STREAM_DECODER_INIT_FAILED

          public static final int ALIVC_FRAMEWORK_MEDIA_POOL_AUDIO_STREAM_DECODER_INIT_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MEDIA_POOL_VIDEO_STREAM_DECODER_INIT_FAILED

          public static final int ALIVC_FRAMEWORK_MEDIA_POOL_VIDEO_STREAM_DECODER_INIT_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MEDIA_POOL_CACHE_DATA_SIZE_OVERFLOW

          public static final int ALIVC_FRAMEWORK_MEDIA_POOL_CACHE_DATA_SIZE_OVERFLOW

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_MEDIA_POOL_STREAM_NOT_EXISTS

          public static final int ALIVC_FRAMEWORK_MEDIA_POOL_STREAM_NOT_EXISTS

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_PROCESS_ERROR_START

          public static final int ALIVC_FRAMEWORK_AUDIO_PROCESS_ERROR_START

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_PROCESS_CREATE_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_PROCESS_CREATE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_PROCESS_RE_CREATE

          public static final int ALIVC_FRAMEWORK_AUDIO_PROCESS_RE_CREATE

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_PROCESS_DESTROY_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_PROCESS_DESTROY_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_PROCESS_RE_DESTROY

          public static final int ALIVC_FRAMEWORK_AUDIO_PROCESS_RE_DESTROY

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_PROCESS_FILE_STREAM_LIST_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_PROCESS_FILE_STREAM_LIST_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_PROCESS_OPTION_LIST_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_PROCESS_OPTION_LIST_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_PROCESS_ADD_FRAME_INPUT_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_PROCESS_ADD_FRAME_INPUT_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_PROCESS_ADD_FRAME_BUFFER_FULL

          public static final int ALIVC_FRAMEWORK_AUDIO_PROCESS_ADD_FRAME_BUFFER_FULL

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_PROCESS_CTL_INPUT_ERROR

          public static final int ALIVC_FRAMEWORK_AUDIO_PROCESS_CTL_INPUT_ERROR

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_PROCESS_SEEK_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_PROCESS_SEEK_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_PROCESS_CONTROL_UNKNOWN

          public static final int ALIVC_FRAMEWORK_AUDIO_PROCESS_CONTROL_UNKNOWN

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_PROCESS_SEND_INVALID

          public static final int ALIVC_FRAMEWORK_AUDIO_PROCESS_SEND_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_RENDER_ERROR_START

          public static final int ALIVC_FRAMEWORK_AUDIO_RENDER_ERROR_START

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_RENDER_INIT_SPEAKER_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_RENDER_INIT_SPEAKER_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_RENDER_ALLOC_SPEAKER_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_RENDER_ALLOC_SPEAKER_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_AUDIO_RENDER_SETMUTE_FAILED

          public static final int ALIVC_FRAMEWORK_AUDIO_RENDER_SETMUTE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_LICENSE_FAILED

          public static final int ALIVC_FRAMEWORK_LICENSE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_LICENSE_CHECK_MV_FAILED

          public static final int ALIVC_FRAMEWORK_LICENSE_CHECK_MV_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_LICENSE_CHECK_PASTER_FAILED

          public static final int ALIVC_FRAMEWORK_LICENSE_CHECK_PASTER_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_FRAMEWORK_LICENSE_CHECK_TRANSCODE_FAILED

          public static final int ALIVC_FRAMEWORK_LICENSE_CHECK_TRANSCODE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_START

          public static final int ALIVC_SVIDEO_ERROR_START

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PERMISSION_START

          public static final int ALIVC_SVIDEO_ERROR_PERMISSION_START

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_LICENSE_FAILED

          public static final int ALIVC_SVIDEO_ERROR_LICENSE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EFFECT_NOT_PAY

          public static final int ALIVC_SVIDEO_ERROR_EFFECT_NOT_PAY

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EFFECT_NO_RESOURCE

          public static final int ALIVC_SVIDEO_ERROR_EFFECT_NO_RESOURCE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EFFECT_USE_NOT_OVERRIDE

          public static final int ALIVC_SVIDEO_ERROR_EFFECT_USE_NOT_OVERRIDE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EFFECT_USE_FAILED

          public static final int ALIVC_SVIDEO_ERROR_EFFECT_USE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PERM_NO_DEVICE_PERMISSION

          public static final int ALIVC_SVIDEO_ERROR_PERM_NO_DEVICE_PERMISSION

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MUSIC_PARAM

          public static final int ALIVC_SVIDEO_ERROR_MUSIC_PARAM

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MUSIC_NOT_SUPPORT

          public static final int ALIVC_SVIDEO_ERROR_MUSIC_NOT_SUPPORT

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_TRES_START

          public static final int ALIVC_SVIDEO_ERROR_TRES_START

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_TRES_PLAYER_UNPREPARED

          public static final int ALIVC_SVIDEO_ERROR_TRES_PLAYER_UNPREPARED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_TRES_START_MULTI

          public static final int ALIVC_SVIDEO_ERROR_TRES_START_MULTI

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_TRES_AUDIO_INPUTS_INVALID

          public static final int ALIVC_SVIDEO_ERROR_TRES_AUDIO_INPUTS_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_TRES_SCREENRENDER_INVALID

          public static final int ALIVC_SVIDEO_ERROR_TRES_SCREENRENDER_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_TRES_DUPLICATE_ADD_EFFECT

          public static final int ALIVC_SVIDEO_ERROR_TRES_DUPLICATE_ADD_EFFECT

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_TRES_INVALID_STATE

          public static final int ALIVC_SVIDEO_ERROR_TRES_INVALID_STATE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_START

          public static final int ALIVC_SVIDEO_ERROR_PARAM_START

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_PARAMETER

          public static final int ALIVC_SVIDEO_ERROR_PARAM_PARAMETER

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_INVALID_ARGUMENTS

          public static final int ALIVC_SVIDEO_ERROR_PARAM_INVALID_ARGUMENTS

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_PATH_NULL

          public static final int ALIVC_SVIDEO_ERROR_PARAM_PATH_NULL

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_VIDEO_PATH_NULL

          public static final int ALIVC_SVIDEO_ERROR_PARAM_VIDEO_PATH_NULL

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_FILE_NOT_EXISTS

          public static final int ALIVC_SVIDEO_ERROR_PARAM_FILE_NOT_EXISTS

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_CLIP_INDEX_INVALID

          public static final int ALIVC_SVIDEO_ERROR_PARAM_CLIP_INDEX_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_CLIP_INVALID

          public static final int ALIVC_SVIDEO_ERROR_PARAM_CLIP_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_NO_CLIP

          public static final int ALIVC_SVIDEO_ERROR_PARAM_NO_CLIP

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_SIZE_INVALID

          public static final int ALIVC_SVIDEO_ERROR_PARAM_SIZE_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_AUDIO_VIDEO_DURATION_INVALID

          public static final int ALIVC_SVIDEO_ERROR_PARAM_AUDIO_VIDEO_DURATION_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_GIF_FILE_PATH_INVALID

          public static final int ALIVC_SVIDEO_ERROR_PARAM_GIF_FILE_PATH_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_RESOURCE_PARSE_INVALID

          public static final int ALIVC_SVIDEO_ERROR_PARAM_RESOURCE_PARSE_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_IMAGE_FILE_PATH_INVALID

          public static final int ALIVC_SVIDEO_ERROR_PARAM_IMAGE_FILE_PATH_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_FILTER_FILE_PATH_INVALID

          public static final int ALIVC_SVIDEO_ERROR_PARAM_FILTER_FILE_PATH_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_PICTURE_SIZE

          public static final int ALIVC_SVIDEO_ERROR_PARAM_PICTURE_SIZE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_IMAGE_WATERMARK_NULL

          public static final int ALIVC_SVIDEO_ERROR_PARAM_IMAGE_WATERMARK_NULL

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_INVALID_CANVAS

          public static final int ALIVC_SVIDEO_ERROR_PARAM_INVALID_CANVAS

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_CONFLICT_TIME_INTERVAL

          public static final int ALIVC_SVIDEO_ERROR_PARAM_CONFLICT_TIME_INTERVAL

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_PROJECT_NULL

          public static final int ALIVC_SVIDEO_ERROR_PARAM_PROJECT_NULL

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_ADD_MEDIA_SOURCE_FAILED

          public static final int ALIVC_SVIDEO_ERROR_PARAM_ADD_MEDIA_SOURCE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_OUTOUT_PATH_INVALID

          public static final int ALIVC_SVIDEO_ERROR_PARAM_OUTOUT_PATH_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_PARAM_MV_FILE_PATH_INVALID

          public static final int ALIVC_SVIDEO_ERROR_PARAM_MV_FILE_PATH_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_START

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_START

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_VIDEO

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_VIDEO

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_AUDIO

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_AUDIO

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_IMAGE

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_IMAGE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_TYPE

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_TYPE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_VIDEO_ENCODER_INTERNAL

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_VIDEO_ENCODER_INTERNAL

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_ENCODER_INTERNAL

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_ENCODER_INTERNAL

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_CROP_IMAGE_FAILURE

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_CROP_IMAGE_FAILURE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_VIDEO_DECODER_INTERNAL

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_VIDEO_DECODER_INTERNAL

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_VIDEO_ENCODER_PARAM

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_VIDEO_ENCODER_PARAM

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_ENCODER_PARAM

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_ENCODER_PARAM

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_DECODER_INTERNAL

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_DECODER_INTERNAL

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_PIXEL_FORMAT

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_PIXEL_FORMAT

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_PLAYER_INTERNAL

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_PLAYER_INTERNAL

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_PIXCEL_FORMAT

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_NOT_SUPPORTED_PIXCEL_FORMAT

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_DECODER_CANNOT_WORK

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_DECODER_CANNOT_WORK

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_PARSE_INPUT_FILE_FAILED

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_PARSE_INPUT_FILE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_IMAGE_QUEQU_EMPTY

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_IMAGE_QUEQU_EMPTY

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_SOUND_QUEQU_EMPTY

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_SOUND_QUEQU_EMPTY

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_PROC_SUPPORT_TWO_INPUTS

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_PROC_SUPPORT_TWO_INPUTS

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_PROC_INIT_FAILED

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_AUDIO_PROC_INIT_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MEDIA_MV_PARSE_CONFIG_ERROR

          public static final int ALIVC_SVIDEO_ERROR_MEDIA_MV_PARSE_CONFIG_ERROR

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_IO_START

          public static final int ALIVC_SVIDEO_ERROR_IO_START

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_IO_START_PREVIEW_FAILED

          public static final int ALIVC_SVIDEO_ERROR_IO_START_PREVIEW_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_IO_OPEN_CAMERA_FAILED

          public static final int ALIVC_SVIDEO_ERROR_IO_OPEN_CAMERA_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_IO_SWITCH_CAMERA

          public static final int ALIVC_SVIDEO_ERROR_IO_SWITCH_CAMERA

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_IO_CREATE_TEMP_FILE_FAILED

          public static final int ALIVC_SVIDEO_ERROR_IO_CREATE_TEMP_FILE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_IO_AUDIO_RECORD_FAILED

          public static final int ALIVC_SVIDEO_ERROR_IO_AUDIO_RECORD_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_IO_CAMERA_SET_PARAM

          public static final int ALIVC_SVIDEO_ERROR_IO_CAMERA_SET_PARAM

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_IO_CAMERA_NOT_OPEN

          public static final int ALIVC_SVIDEO_ERROR_IO_CAMERA_NOT_OPEN

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_IO_NOT_SUPPORTED_CAMERA_TYPE

          public static final int ALIVC_SVIDEO_ERROR_IO_NOT_SUPPORTED_CAMERA_TYPE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_OTHER_START

          public static final int ALIVC_SVIDEO_ERROR_OTHER_START

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_OTHER_PHONE_CALL

          public static final int ALIVC_SVIDEO_ERROR_OTHER_PHONE_CALL

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_OTHER_RESIGN_ACTIVE

          public static final int ALIVC_SVIDEO_ERROR_OTHER_RESIGN_ACTIVE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_THUMB_START

          public static final int ALIVC_SVIDEO_ERROR_THUMB_START

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_THUMB_INTERNAL_LOGIC

          public static final int ALIVC_SVIDEO_ERROR_THUMB_INTERNAL_LOGIC

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_THUMB_IMAGE_MATRIX_INIT_FAILED

          public static final int ALIVC_SVIDEO_ERROR_THUMB_IMAGE_MATRIX_INIT_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_THUMB_IMAGE_MATRIX_DETAIL_DATA

          public static final int ALIVC_SVIDEO_ERROR_THUMB_IMAGE_MATRIX_DETAIL_DATA

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_THUMB_DECODER_INTERNAL

          public static final int ALIVC_SVIDEO_ERROR_THUMB_DECODER_INTERNAL

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_THUMB_VIDEO_STREAM

          public static final int ALIVC_SVIDEO_ERROR_THUMB_VIDEO_STREAM

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_THUMB_TASK_FAILED

          public static final int ALIVC_SVIDEO_ERROR_THUMB_TASK_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_THUMB_PREPARE_FAILED

          public static final int ALIVC_SVIDEO_ERROR_THUMB_PREPARE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_RECORD_START

          public static final int ALIVC_SVIDEO_ERROR_RECORD_START

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_RECORD_VIDEO_RGB_FAILED

          public static final int ALIVC_SVIDEO_ERROR_RECORD_VIDEO_RGB_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_RECORD_VIDEO_DATA_FAILED

          public static final int ALIVC_SVIDEO_ERROR_RECORD_VIDEO_DATA_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_RECORD_AUDIO_DATA_FAILED

          public static final int ALIVC_SVIDEO_ERROR_RECORD_AUDIO_DATA_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_RECORD_FINISH_FAILED

          public static final int ALIVC_SVIDEO_ERROR_RECORD_FINISH_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_RECORD_NOT_COMPLETE

          public static final int ALIVC_SVIDEO_ERROR_RECORD_NOT_COMPLETE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_RECORD_ENCODER_INIT_FAILED

          public static final int ALIVC_SVIDEO_ERROR_RECORD_ENCODER_INIT_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_RECORD_RECORDER_NOT_READY

          public static final int ALIVC_SVIDEO_ERROR_RECORD_RECORDER_NOT_READY

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_RECORD_MAX_DURATION

          public static final int ALIVC_SVIDEO_ERROR_RECORD_MAX_DURATION

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_REC_SERVICE_CREATE_FAILED

          public static final int ALIVC_SVIDEO_ERROR_REC_SERVICE_CREATE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_REC_PROXY_CREATE_FAILED

          public static final int ALIVC_SVIDEO_ERROR_REC_PROXY_CREATE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_REC_INVALID_STATE

          public static final int ALIVC_SVIDEO_ERROR_REC_INVALID_STATE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_REC_INVALID_CAP_FORMAT

          public static final int ALIVC_SVIDEO_ERROR_REC_INVALID_CAP_FORMAT

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_REC_FIND_TEXTURE_CLASS

          public static final int ALIVC_SVIDEO_ERROR_REC_FIND_TEXTURE_CLASS

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MIX_START

          public static final int ALIVC_SVIDEO_ERROR_MIX_START

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_MIX_LAYOUT

          public static final int ALIVC_SVIDEO_ERROR_MIX_LAYOUT

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_TRANSCODE_START

          public static final int ALIVC_SVIDEO_ERROR_TRANSCODE_START

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_TRANSCODE_ILLEGAL_CROP_STATE

          public static final int ALIVC_SVIDEO_ERROR_TRANSCODE_ILLEGAL_CROP_STATE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_TRANSCODE_CROP_PARAM

          public static final int ALIVC_SVIDEO_ERROR_TRANSCODE_CROP_PARAM

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_TRANSCODE_BACKGROUND

          public static final int ALIVC_SVIDEO_ERROR_TRANSCODE_BACKGROUND

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_TRANSCODE_INIT_PARAM_INVALID

          public static final int ALIVC_SVIDEO_ERROR_TRANSCODE_INIT_PARAM_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_ERROR_START

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_ERROR_START

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_SYSTEM

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_SYSTEM

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_PREPARE

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_PREPARE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_START

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_START

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_STOP

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_STOP

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_PAUSE

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_PAUSE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_RESUME

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_RESUME

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_SEEK

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_SEEK

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_TIME_EFFECT_NOT_SUPPORT

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_TIME_EFFECT_NOT_SUPPORT

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_INIT_FAILED

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_INIT_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_SET_MODE_UNINIT_FAILED

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_SET_MODE_UNINIT_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_SET_MODE_DISPLAY_NONE

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_SET_MODE_DISPLAY_NONE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_SEEK_IN_OFFSET

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_SEEK_IN_OFFSET

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_SET_DISPLAY_FAILED

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_SET_DISPLAY_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_FILE_NOT_EXIST

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_FILE_NOT_EXIST

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_PARSE_RESOURCE_FAILED

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_PARSE_RESOURCE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_VIEW_TYPE_NOT_SUPPORTED

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_VIEW_TYPE_NOT_SUPPORTED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_DEMUX_FILE_FAILED

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_DEMUX_FILE_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_COMPOSE_STATUS_ERROR

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_COMPOSE_STATUS_ERROR

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_ILLEGAL_EDITOR_STATE

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_ILLEGAL_EDITOR_STATE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_INVALID_COMPOSE

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_INVALID_COMPOSE

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_COMPOSE_INIT_FAILED

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_COMPOSE_INIT_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_TRANSITION_DURATION_INVALID

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_TRANSITION_DURATION_INVALID

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_COMPOSE_NULL

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_COMPOSE_NULL

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_EDITOR_NATIVE_NOT_INITED

          public static final int ALIVC_SVIDEO_ERROR_EDITOR_NATIVE_NOT_INITED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_UPLOAD_START

          public static final int ALIVC_SVIDEO_ERROR_UPLOAD_START

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_UPLOAD_FAILED

          public static final int ALIVC_SVIDEO_ERROR_UPLOAD_FAILED

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_UPLOAD_VOD_NULL

          public static final int ALIVC_SVIDEO_ERROR_UPLOAD_VOD_NULL

      See Also:
        Constant Field Values

    - #### ALIVC_SVIDEO_ERROR_UPLOAD_VOD_STATE

          public static final int ALIVC_SVIDEO_ERROR_UPLOAD_VOD_STATE

      See Also:
        Constant Field Values

    - #### OK

          @Deprecated
          public static final int OK

      Deprecated.
      成功
      See Also:
        Constant Field Values

    - #### ERROR_UNKNOWN

          @Deprecated
          public static final int ERROR_UNKNOWN

      Deprecated.
      未知错误
      See Also:
        Constant Field Values

    - #### ERROR_LICENSE_FAILED

          @Deprecated
          public static final int ERROR_LICENSE_FAILED

      Deprecated.
      License无效
      See Also:
        Constant Field Values

    - #### ERROR_EFFECT_NOT_PAY

          @Deprecated
          public static final int ERROR_EFFECT_NOT_PAY

      Deprecated.
      未支付该特效功能
      See Also:
        Constant Field Values

    - #### ERROR_EFFECT_NO_RESOURCE

          @Deprecated
          public static final int ERROR_EFFECT_NO_RESOURCE

      Deprecated.
      特效使用资源不存在
      See Also:
        Constant Field Values

    - #### ERROR_EFFECT_USE_NOT_OVERRIDE

          @Deprecated
          public static final int ERROR_EFFECT_USE_NOT_OVERRIDE

      Deprecated.
      特效不能覆盖已有的效果
      See Also:
        Constant Field Values

    - #### ERROR_EFFECT_USE_FAILED

          @Deprecated
          public static final int ERROR_EFFECT_USE_FAILED

      Deprecated.
      特效使用失败
      See Also:
        Constant Field Values

    - #### ERROR_PERM_NO_DEVICE_PERMISSION

          @Deprecated
          public static final int ERROR_PERM_NO_DEVICE_PERMISSION

      Deprecated.
      没有设备权限(音频采集、文件读写、摄像头使用、网络访问等Android 设备权限）
      See Also:
        Constant Field Values

    - #### ERROR_MUSIC_PARAM

          @Deprecated
          public static final int ERROR_MUSIC_PARAM

      Deprecated.
      设置背景音乐时参数错误，像背景音乐路径及时间参数;
      See Also:
        Constant Field Values

    - #### ERROR_MUSIC_NOT_SUPPORT

          @Deprecated
          public static final int ERROR_MUSIC_NOT_SUPPORT

      Deprecated.
      设置背景音乐时错误，音频格式不支持;
      See Also:
        Constant Field Values

    - #### ERROR_TRES_PLAYER_UNPREPARED

          @Deprecated
          public static final int ERROR_TRES_PLAYER_UNPREPARED

      Deprecated.
      播放器未准备好
      See Also:
        Constant Field Values

    - #### ERROR_TRES_ILLEGAL_CROP_STATE

          @Deprecated
          public static final int ERROR_TRES_ILLEGAL_CROP_STATE

      Deprecated.
      不合法的裁剪状态（当前有可能正在裁剪或者正在停止裁剪）
      See Also:
        Constant Field Values

    - #### ERROR_START_MULTI

          @Deprecated
          public static final int ERROR_START_MULTI

      Deprecated.
      多次调用异常
      See Also:
        Constant Field Values

    - #### ERROR_AUDIO_INPUTS_INVALID

          @Deprecated
          public static final int ERROR_AUDIO_INPUTS_INVALID

      Deprecated.
      音频输入流异常
      See Also:
        Constant Field Values

    - #### ERROR_SCREENRENDER_INVALID

          @Deprecated
          public static final int ERROR_SCREENRENDER_INVALID

      Deprecated.
      视频渲染类异常
      See Also:
        Constant Field Values

    - #### ERROR_ILLEGAL_CROP_STATE

          @Deprecated
          public static final int ERROR_ILLEGAL_CROP_STATE

      Deprecated.
      不合法的裁剪状态（当前有可能正在裁剪或者正在停止裁剪）
      See Also:
        Constant Field Values

    - #### ERROR_TRES_NOT_SUPPORTED_CAMERA_TYPE

          @Deprecated
          public static final int ERROR_TRES_NOT_SUPPORTED_CAMERA_TYPE

      Deprecated.
      不支持的摄像头类型
      See Also:
        Constant Field Values

    - #### ERROR_CROP_PARAM

          @Deprecated
          public static final int ERROR_CROP_PARAM

      Deprecated.
      裁剪参数有误
      See Also:
        Constant Field Values

    - #### ERROR_CLIP_INDEX_INVALID

          @Deprecated
          public static final int ERROR_CLIP_INDEX_INVALID

      Deprecated.
      片段索引无效，超出clip列表最大值或者索引不合法
      See Also:
        Constant Field Values

    - #### ERROR_CLIP_INVALID

          @Deprecated
          public static final int ERROR_CLIP_INVALID

      Deprecated.
      片段无效，片段为null
      See Also:
        Constant Field Values

    - #### ERROR_NO_CLIP

          @Deprecated
          public static final int ERROR_NO_CLIP

      Deprecated.
      当前列表已经没有片段了, 不能执行删除操作
      See Also:
        Constant Field Values

    - #### ERROR_RECORDER_NOT_READY

          @Deprecated
          public static final int ERROR_RECORDER_NOT_READY

      Deprecated.
      录制尚未准备好
      See Also:
        Constant Field Values

    - #### ERROR_DUPLICATE_ADD_EFFECT

          @Deprecated
          public static final int ERROR_DUPLICATE_ADD_EFFECT

      Deprecated.
      重复添加特效
      See Also:
        Constant Field Values

    - #### ERROR_COMPOSE_STATUS_ERROR

          @Deprecated
          public static final int ERROR_COMPOSE_STATUS_ERROR

      Deprecated.
      错误的合成状态
      See Also:
        Constant Field Values

    - #### ERROR_TRES_ILLEGAL_EDITOR_STATE

          @Deprecated
          public static final int ERROR_TRES_ILLEGAL_EDITOR_STATE

      Deprecated.
      编辑模块没有准备好
      See Also:
        Constant Field Values

    - #### ERROR_INVALID_STATE

          @Deprecated
          public static final int ERROR_INVALID_STATE

      Deprecated.
      不合法的状态
      See Also:
        Constant Field Values

    - #### ERROR_MAX_DURATION

          @Deprecated
          public static final int ERROR_MAX_DURATION

      Deprecated.
      达到最大时长
      See Also:
        Constant Field Values

    - #### ERROR_MEDIA_NOT_SUPPORTED_VIDEO

          @Deprecated
          public static final int ERROR_MEDIA_NOT_SUPPORTED_VIDEO

      Deprecated.
      不支持的视频格式
      See Also:
        Constant Field Values

    - #### ERROR_MEDIA_NOT_SUPPORTED_AUDIO

          @Deprecated
          public static final int ERROR_MEDIA_NOT_SUPPORTED_AUDIO

      Deprecated.
      不支持的音频格式
      See Also:
        Constant Field Values

    - #### ERROR_MEDIA_NOT_SUPPORTED_IMAGE

          @Deprecated
          public static final int ERROR_MEDIA_NOT_SUPPORTED_IMAGE

      Deprecated.
      不支持的图片格式
      See Also:
        Constant Field Values

    - #### ERROR_MEDIA_NOT_SUPPORTED_TYPE

          @Deprecated
          public static final int ERROR_MEDIA_NOT_SUPPORTED_TYPE

      Deprecated.
      不支持的媒体类型
      See Also:
        Constant Field Values

    - #### ERROR_MEDIA_VIDEO_ENCODER_INTERNAL

          @Deprecated
          public static final int ERROR_MEDIA_VIDEO_ENCODER_INTERNAL

      Deprecated.
      视频编码器内部错误
      See Also:
        Constant Field Values

    - #### ERROR_MEDIA_AUDIO_ENCODER_INTERNAL

          @Deprecated
          public static final int ERROR_MEDIA_AUDIO_ENCODER_INTERNAL

      Deprecated.
      音频编码器内部错误
      See Also:
        Constant Field Values

    - #### ERROR_MEDIA_CROP_IMAGE_FAILURE

          @Deprecated
          public static final int ERROR_MEDIA_CROP_IMAGE_FAILURE

      Deprecated.
      裁剪图片失败
      See Also:
        Constant Field Values

    - #### ERROR_MEDIA_VIDEO_DECODER_INTERNAL

          @Deprecated
          public static final int ERROR_MEDIA_VIDEO_DECODER_INTERNAL

      Deprecated.
      视频解码器内部错误
      See Also:
        Constant Field Values

    - #### ERROR_MEDIA_VIDEO_ENCODER_PARAM

          @Deprecated
          public static final int ERROR_MEDIA_VIDEO_ENCODER_PARAM

      Deprecated.
      视频编码器参数错误
      See Also:
        Constant Field Values

    - #### ERROR_MEDIA_AUDIO_ENCODER_PARAM

          @Deprecated
          public static final int ERROR_MEDIA_AUDIO_ENCODER_PARAM

      Deprecated.
      音频编码器参数错误
      See Also:
        Constant Field Values

    - #### ERROR_MEDIA_AUDIO_DECODER_INTERNAL

          @Deprecated
          public static final int ERROR_MEDIA_AUDIO_DECODER_INTERNAL

      Deprecated.
      音频解码器内部错误
      See Also:
        Constant Field Values

    - #### ERROR_MEDIA_NOT_SUPPORTED_PIXEL_FORMAT

          @Deprecated
          public static final int ERROR_MEDIA_NOT_SUPPORTED_PIXEL_FORMAT

      Deprecated.
      不支持的像素格式
      See Also:
        Constant Field Values

    - #### ERROR_MEDIA_PLAYER_INTERNAL

          @Deprecated
          public static final int ERROR_MEDIA_PLAYER_INTERNAL

      Deprecated.
      播放器内部错误
      See Also:
        Constant Field Values

    - #### ERROR_MEDIA_NOT_SUPPORTED_PIXCEL_FORMAT

          @Deprecated
          public static final int ERROR_MEDIA_NOT_SUPPORTED_PIXCEL_FORMAT

      Deprecated. 请使用 `ERROR_MEDIA_NOT_SUPPORTED_PIXEL_FORMAT`替代
      See Also:
        Constant Field Values

    - #### ERROR_FINISH_RECORD_FAILED

          @Deprecated
          public static final int ERROR_FINISH_RECORD_FAILED

      Deprecated.
      完成录制失败
      See Also:
        Constant Field Values

    - #### ERROR_RECORD_NOT_COMPLETE

          @Deprecated
          public static final int ERROR_RECORD_NOT_COMPLETE

      Deprecated.
      录制尚未结束
      See Also:
        Constant Field Values

    - #### ERROR_IO_START_PREVIEW_FAILED

          @Deprecated
          public static final int ERROR_IO_START_PREVIEW_FAILED

      Deprecated.
      开启预览失败
      See Also:
        Constant Field Values

    - #### ERROR_IO_OPEN_CAMERA_FAILED

          @Deprecated
          public static final int ERROR_IO_OPEN_CAMERA_FAILED

      Deprecated.
      开启摄像头失败
      See Also:
        Constant Field Values

    - #### ERROR_IO_SWITCH_CAMERA

          @Deprecated
          public static final int ERROR_IO_SWITCH_CAMERA

      Deprecated.
      切换摄像头失败
      See Also:
        Constant Field Values

    - #### ERROR_IO_CREATE_TEMP_FILE_FAILED

          @Deprecated
          public static final int ERROR_IO_CREATE_TEMP_FILE_FAILED

      Deprecated.
      创建临时文件失败
      See Also:
        Constant Field Values

    - #### ERROR_IO_AUDIO_RECORD_FAILED

          @Deprecated
          public static final int ERROR_IO_AUDIO_RECORD_FAILED

      Deprecated.
      音频录制失败
      See Also:
        Constant Field Values

    - #### ERROR_IO_CAMERA_SET_PARAM

          @Deprecated
          public static final int ERROR_IO_CAMERA_SET_PARAM

      Deprecated.
      设置相机参数错误
      See Also:
        Constant Field Values

    - #### ERROR_IO_CAMERA_NOT_OPEN

          @Deprecated
          public static final int ERROR_IO_CAMERA_NOT_OPEN

      Deprecated.
      相机对象为空,一般可能是相机未打开
      See Also:
        Constant Field Values

    - #### ERROR_VIDEO_PATH_NULL

          @Deprecated
          public static final int ERROR_VIDEO_PATH_NULL

      Deprecated.
      输入视频路径为空
      See Also:
        Constant Field Values

    - #### ERROR_TRANSCODE_INIT_PARAM_INVALID

          @Deprecated
          public static final int ERROR_TRANSCODE_INIT_PARAM_INVALID

      Deprecated.
      转码初始化参数错误
      See Also:
        Constant Field Values

    - #### ERROR_SIZE_INVALID

          @Deprecated
          public static final int ERROR_SIZE_INVALID

      Deprecated.
      视频尺寸设置不正确
      See Also:
        Constant Field Values

    - #### ERROR_PARAM_AUDIO_VIDEO_DURATION_INVALID

          @Deprecated
          public static final int ERROR_PARAM_AUDIO_VIDEO_DURATION_INVALID

      Deprecated.
      视频或音频时长设置异常
      See Also:
        Constant Field Values

    - #### ERROR_PARAM_TRANSITION_DURATION_INVALID

          @Deprecated
          public static final int ERROR_PARAM_TRANSITION_DURATION_INVALID

      Deprecated.
      过渡动画时长参数异常
      See Also:
        Constant Field Values

    - #### ERROR_PARAM_GIF_FILE_PATH_INVALID

          @Deprecated
          public static final int ERROR_PARAM_GIF_FILE_PATH_INVALID

      Deprecated.
      动图路径异常
      See Also:
        Constant Field Values

    - #### ERROR_PARAM_RESOURCE_PARSE_INVALID

          @Deprecated
          public static final int ERROR_PARAM_RESOURCE_PARSE_INVALID

      Deprecated.
      资源解析异常
      See Also:
        Constant Field Values

    - #### ERROR_PARAM_IMAGE_FILE_PATH_INVALID

          @Deprecated
          public static final int ERROR_PARAM_IMAGE_FILE_PATH_INVALID

      Deprecated.
      图片路径异常
      See Also:
        Constant Field Values

    - #### ERROR_PARAM_FILTER_FILE_PATH_INVALID

          @Deprecated
          public static final int ERROR_PARAM_FILTER_FILE_PATH_INVALID

      Deprecated.
      滤镜路径异常
      See Also:
        Constant Field Values

    - #### ERROR_PARAM_PICTURE_SIZE

          @Deprecated
          public static final int ERROR_PARAM_PICTURE_SIZE

      Deprecated.
      PictureSize不合法
      See Also:
        Constant Field Values

    - #### ERROR_PARAM_IMAGE_WATERMARK_NULL

          @Deprecated
          public static final int ERROR_PARAM_IMAGE_WATERMARK_NULL

      Deprecated.
      水印对象为空
      See Also:
        Constant Field Values

    - #### ERROR_PARAM_INVALID_CANVAS

          @Deprecated
          public static final int ERROR_PARAM_INVALID_CANVAS

      Deprecated.
      无效的涂鸦
      See Also:
        Constant Field Values

    - #### ERROR_PARAM_INVALID_COMPOSE

          @Deprecated
          public static final int ERROR_PARAM_INVALID_COMPOSE

      Deprecated.
      合成参数无效
      See Also:
        Constant Field Values

    - #### ERROR_COMPOSE_INIT_FAILED

          @Deprecated
          public static final int ERROR_COMPOSE_INIT_FAILED

      Deprecated.
      合成接口初始化失败
      See Also:
        Constant Field Values

    - #### ERROR_CONFLICT_TIME_INTERVAL

          @Deprecated
          public static final int ERROR_CONFLICT_TIME_INTERVAL

      Deprecated.
      特效作用时间区间冲突（两个动效滤镜时间区间有交叉）
      See Also:
        Constant Field Values

    - #### ERROR_INVALID_ARGUMENTS

          @Deprecated
          public static final int ERROR_INVALID_ARGUMENTS

      Deprecated.
      无效参数
      See Also:
        Constant Field Values

    - #### ERROR_PROJECT_NULL

          @Deprecated
          public static final int ERROR_PROJECT_NULL

      Deprecated.
      project 为空
      See Also:
        Constant Field Values

    - #### ERROR_ADD_MEDIA_SOURCE_FAILED

          @Deprecated
          public static final int ERROR_ADD_MEDIA_SOURCE_FAILED

      Deprecated.
      添加媒体文件失败
      See Also:
        Constant Field Values

    - #### ERROR_OUTOUT_PATH_INVALID

          @Deprecated
          public static final int ERROR_OUTOUT_PATH_INVALID

      Deprecated.
      输出路径无效
      See Also:
        Constant Field Values

    - #### ERROR_MV_FILE_PATH_INVALID

          @Deprecated
          public static final int ERROR_MV_FILE_PATH_INVALID

      Deprecated.
      MV路径异常
      See Also:
        Constant Field Values

    - #### ERROR_TASK_FAILED

          @Deprecated
          public static final int ERROR_TASK_FAILED

      Deprecated.
      执行任务失败，详细错误码通过回调上报，该错误码用来表示接口执行失败
      See Also:
        Constant Field Values

    - #### ERROR_FILE_NOT_EXISTS

          @Deprecated
          public static final int ERROR_FILE_NOT_EXISTS

      Deprecated.
      文件不存在
      See Also:
        Constant Field Values

    - #### ERROR_PARAMETER

          @Deprecated
          public static final int ERROR_PARAMETER

      Deprecated.
      参数异常
      See Also:
        Constant Field Values

    - #### ERROR_ARG_VOD_UPLOAD_NULL

          @Deprecated
          public static final int ERROR_ARG_VOD_UPLOAD_NULL

      Deprecated.
      点播上传对象为空
      See Also:
        Constant Field Values

    - #### ERROR_ARG_VOD_UPLOAD_STATE

          @Deprecated
          public static final int ERROR_ARG_VOD_UPLOAD_STATE

      Deprecated.
      上传状态错误
      See Also:
        Constant Field Values

    - #### ERROR_ARG_COMPOSE_NULL

          @Deprecated
          public static final int ERROR_ARG_COMPOSE_NULL

      Deprecated.
      后台合成对象为空
      See Also:
        Constant Field Values

    - #### ERROR_UPLOAD_FAILED

          @Deprecated
          public static final int ERROR_UPLOAD_FAILED

      Deprecated.
      上传接口调用失败
      See Also:
        Constant Field Values

    - #### ERROR_TRANS_BACKGROUND

          @Deprecated
          public static final int ERROR_TRANS_BACKGROUND

      Deprecated.
      裁剪退后台
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AliyunErrorCode

          public AliyunErrorCode()

  - ### Method Detail

    - #### getErrorCodeMessage

          public static java.lang.String getErrorCodeMessage(int errorCode)